commit 0432e672b6dbb228d44dfdba3e6eec8eafa14734
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Aug 14 21:48:15 2008 +0000

    Copyright for x11idle file

commit 2a380862a56f86f1bea54900da27ce155fdf1f6b
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 21:44:57 2008 +0000

    Fix key name.

commit aba05a2f2dfea1a7743ddb95f087a4e99f2926e8
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 21:34:06 2008 +0000

    In case of criteria error, reset the entry.

commit 482a7a4b1eb5773a9d4712eabc0e315c64fa75b6
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Aug 14 21:28:12 2008 +0000

    reduce icon size

commit e020047a63f54f71e1b2a6074d69343518667a59
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 20:44:00 2008 +0000

    More cleanup

commit 290962a6a586a392ba88fc2772ca233f3ca829ab
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 20:32:35 2008 +0000

    Cleanup, fix IDMEFCriteria match call.

commit a22491e07ed16e9d14bbfa2f8b7bf24f06c52bc9
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 20:29:59 2008 +0000

    Add prelude-notify.desktop, contributed by Steve Grubb <sgrubb@redhat.com>.

commit 5621f6f2e978da16883476ed3c611ae0588c3340
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 20:22:24 2008 +0000

    Cleanup, error dialog on invalid Criteria.

commit 260cec81a00d2280031979c88c5b6defb36a881c
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 20:12:48 2008 +0000

    Correct version number.

commit 02d323b058d433ef969327e52c039fa12dd3301d
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 20:12:09 2008 +0000

    Remove obsolete.

commit ba18a94cab96186f0ac83e20ebab6b6a30e36ce7
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 20:08:26 2008 +0000

    Correct ConfigParser usage.

commit 8c47b7e905276f5df60674c67a0980a805a7bb8a
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 18:45:59 2008 +0000

    Add COPYING file.

commit a8e816c3d9efa0749d3bef095d67e2734d6ad015
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 18:38:34 2008 +0000

    Add missing copyright notice.

commit f4664e525e868ff5bfb291b36eaf02bd83dfab92
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 18:29:33 2008 +0000

    Fix idle key name, implement connection closure.

commit a9f48d180962ed5255676f6774ec92d5ce08d103
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 18:29:31 2008 +0000

    Fix idle key name.

commit d9026ab3ff4fec90e5211c7f138e3122b15aeac4
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 18:29:29 2008 +0000

    Fix idle key.

commit 2836d53705438a4f6f74ae67585f9b354c0c6907
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Aug 14 15:43:38 2008 +0000

    hot reconfiguration fully working now

commit d73dc7e7c9be0b8e22e1e1df8ac2534374a50792
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Aug 14 10:53:59 2008 +0000

    Set the new fields in the configuration file

commit eb27f72b6464072aa1ec2b87c0939cce6468f02e
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Aug 14 09:26:39 2008 +0000

    Remove obsolete module inclusion.

commit 945deb4d4ef0f782689d7d8ac844587ca1d5f133
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Aug 11 15:36:46 2008 +0000

    Fix function name.

commit d305ce70de0a28be93c3c01eab1e8e9199a50fb7
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Aug 11 15:20:15 2008 +0000

    Handle profile change correctly.

commit 82c95a9519e385a50c5d4ddf7c4f69adf5dea9e8
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Aug 7 08:09:46 2008 +0000

    handle x11 timeout and threshold with configuration dialog

commit 7f36c39efa9f05a633a0ebb9fe7a538b8be65ed3
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Mon Aug 4 13:27:22 2008 +0000

    no exception here

commit d97896faeb0ea420c4f499d3df7e614e1e7477a7
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Mon Aug 4 13:20:37 2008 +0000

    Show error dialog if profile is incorrect

commit 612109dce7df91e66d22555779b89727c8c5b8da
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Mon Aug 4 13:09:58 2008 +0000

    Allow client profile reconfiguration

commit 50d0a1f5ed84666c6318cf85ce811deaaee1a3bf
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Mon Aug 4 12:44:06 2008 +0000

    UI for idle and threshold, not linked yet

commit 6d7aad9f8088a91abb3739ab622fd2c11d2e5aa4
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Mon Aug 4 11:06:58 2008 +0000

    Set configure label instead of execute

commit 0b87145d80c361d0473ee00c58320e8247638e45
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Aug 4 11:03:32 2008 +0000

    Make ErrorDialog viable for generic error.

commit f3a9d69b0bce2ee42a5a3059e3d6920d46e2fec8
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Aug 4 11:02:59 2008 +0000

    Use a generic name.

commit 5e968c61ba29b4566418412269d19ca86394c0bb
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Aug 4 10:46:20 2008 +0000

    Error handling improvement.

commit b59eb112d1ccffece34238f3a3e59c9109c3b361
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Aug 4 10:46:18 2008 +0000

    Revert "Error handling improvement."
    
    This reverts commit 4397df1df638236dc8de58b4d9641f31d84c11fb.

commit 0ba9e46e349ddcf1a1a7ab7e44c01220315f8705
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Aug 4 10:46:16 2008 +0000

    Error handling improvement.

commit 75abe4d97cef10d9116ff01b538db9c4e4417bf4
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Aug 4 10:46:13 2008 +0000

    Whitespace police.

commit fca40cda22f672d6c69f60e321ef0610a79ee9b0
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 31 13:32:24 2008 +0000

    remove connections

commit 68b0b89e6dc7d3410c0bdeb274454b8301b87e69
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 31 12:59:22 2008 +0000

    connect to new address without forcing the user to restart the application

commit 67dc342f4ea77595e41e1ee8788ef3adbb996503
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 31 10:04:38 2008 +0000

    Oops, this is an autogenerated file. No Pierre, setup.py is not dirty, just a little messy ;)

commit 1484ebfd7ddaa639f8d0b32a36e587b1e9a443ae
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 31 09:55:01 2008 +0000

    siteconfig disapeared! Thanks Pierre Chifflier <pollux@inl.fr> for pointing this out

commit 79636efc53b7dce0fd2d0d21f5f65d8d2eecdaae
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 31 09:30:53 2008 +0000

    handle manager connection out from main file

commit 3ab1adb29bdd1809504c26e4d6932307af14dff6
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 31 09:01:56 2008 +0000

    s/c/env.client/g

commit bd00910e6c7aea66b310133960dc6db22270b248
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 31 08:38:19 2008 +0000

    config table to see what changed for reconfiguration

commit b17dbba1c8395ed676dd51c56892269814d94de1
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Jul 31 07:52:56 2008 +0000

    Remove hardcoded debugging value.

commit 9406722980c0c4d00d8d8dd4620307647b865f19
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Jul 31 07:52:48 2008 +0000

    Code cleanup.

commit 21a47d916f16b312001701b92f6318abd4184c0c
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Thu Jul 31 07:52:45 2008 +0000

    Implement heartbeat notification.

commit bf79ca57f363b45ee7c6258ba58b1a80ce7cc8d6
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Wed Jul 30 15:19:26 2008 +0000

    fix non-method calling for X11idle_timeout

commit 48fa9a2558dce9cf76263f22b4a155f274787ba2
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Wed Jul 30 15:17:31 2008 +0000

    manage exceptions for missing gtk+ methods; thanks skippylou for pointing this out

commit 5a5664bb22eafa14e37cd3595ece3536f194c1a4
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Wed Jul 30 14:36:53 2008 +0000

    add X11 idle timeout in configuration

commit 2e184b16ea1d6e312f269b96dd90f32528ae552a
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Wed Jul 30 14:31:15 2008 +0000

    add threshold timeout in configuration

commit 4d26e5abce936d2da8b999a2e6ebfefab7b64081
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Wed Jul 30 14:16:58 2008 +0000

    Let the connection happen again on disconnection; wait for the Connection Refused exception in libprelude before having this code

commit 12601d4873682f6cb9ce6c1a16cb6db688998b82
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Wed Jul 30 13:49:15 2008 +0000

    display the message for what user should type if the agent is not registred

commit 83f7f992c634889eea8acbf15accd124213dcebd
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Wed Jul 30 13:46:44 2008 +0000

    Idle fixes.

commit 1db6d5d1147245003e7da111c82c52fc2c90c3d7
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Wed Jul 30 07:42:57 2008 +0000

    Cleanup, start handling of "missed" alert.

commit 3367f2326a921dc79530182801f4ec0ec45fb846
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Wed Jul 30 07:42:55 2008 +0000

    Cleanup.

commit bdaf3527e16c442c04d2ac0156a5ca754c66e971
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 29 16:57:29 2008 +0000

    Correctly workaround the pynotify bug where a notification
    would not trigger it's associated action (pynotify doesn't
    correctly handle reference count to the notification/data
    that are passed to it).

commit 475b4b1456337bbae668a285ef16fd7e8836bb4c
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 28 17:42:42 2008 +0000

    More fixes.

commit e8b0ff73a92bc2ebddc65211c1d2d5390eec9950
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 28 17:36:06 2008 +0000

    Fix on missing ctype module.

commit 6dd5d2c049e527ca760f7334b2832c7cb55aa629
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 28 17:33:51 2008 +0000

    Fix on missing ctype module.

commit bc0c9406d8666c5976137c51b02376afa5b5d83f
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 28 17:30:45 2008 +0000

    Fix on missing ctype module.

commit b261468f1d441bf2f1aa1ad5b60e93bc5c55fcf8
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 28 17:29:20 2008 +0000

    Fix invalid class declaration.

commit db82982885a726d1e70afe750f3c9d012850346d
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 28 09:29:44 2008 +0000

    Recursion problem is still there, and this should workaround it, although it's still not optimal.

commit 9fd43fd945d4e980050b86273ed76bc3158938c5
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 28 09:29:37 2008 +0000

    Check if user is idle from a timeout.

commit 3932c79b28a2cea6a59f351d68140dbadb224594
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 28 09:29:35 2008 +0000

    Use ctypes.util.find_library(), to find out the correct library
    name to load. Additionally, handle the case where the user doesn't
    have the necessary library.

commit 9389408fe1e1b5d8f5ed22c55793010b5da98286
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Mon Jul 28 07:55:45 2008 +0000

    correct python else statement

commit 7c179b7bbd5daa47e5117df97f05f28fcb726d3b
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Sun Jul 27 15:47:21 2008 +0000

    change the status icon wether you've seen or missed alerts

commit fedb9a4c628172c8f2d7bcf63b7efdbbb29cdd83
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Sun Jul 27 15:31:56 2008 +0000

    check for x11 idle time. Thanks to Thomas Perl for his evolution plugin using ctypes

commit 8d8617f5ea8c2eb9d477ecd12510e14708aa7f37
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Sun Jul 27 14:48:35 2008 +0000

    menu item with icons and separator

commit 297990e8384c52ab4a56451183fd4d1014cb0601
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Sun Jul 27 13:26:04 2008 +0000

    Code cleanup, fixes dict pop() exception, that could happen
    if re-entering the threshold function when doing notification.

commit d099dd988eb81047830295b8227567951a59cd62
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Sun Jul 27 13:26:00 2008 +0000

    Fix multiple main loop problem. The code was creating multiple main
    loop, leading to 'too much recursion' error after some time. Additionally,
    the code now correctly break the mainloop on quit.

commit cc723e5c03b656223d9585d73d375dcb991b2196
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Fri Jul 25 15:25:31 2008 +0000

    Various fixes / improvement.

commit ec2bc7326512253c95546dd8522d10f12468f722
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Fri Jul 25 15:17:47 2008 +0000

    Merge branch 'nowakeup'. Notify on connection / disconnection.

commit 53b9f14e51d69662a295467407ae2426fab00b6a
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Fri Jul 25 13:31:20 2008 +0000

    Cleanup, separate function for PrewikkaURL generation.

commit 25fa5a7cd0d054937cd2edaf47e5f94e62184201
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Fri Jul 25 13:10:42 2008 +0000

    Add sleepy state class from gajim

commit 33c0e44d082eb4537fd779e583f58ff6463bada4
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Fri Jul 25 12:53:25 2008 +0000

    don't compile the filter everytime we match an idmef object

commit d6dc138d1395fa599e12b2f0e0d86a4d742beb9d
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Fri Jul 25 11:53:22 2008 +0000

    have idmef filter working

commit 4c8c79e7b971a3bb4b60c8d5503809ea5f09a41c
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Fri Jul 25 11:29:59 2008 +0000

    notification logo replaced

commit 5c2cf0c69f6a37f4b1b3626182047fda5d0deecc
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Fri Jul 25 09:13:12 2008 +0000

    Handle messageid list, point to the correct listing view under Prewikka.

commit 5375d6d2271d32ed13e8735d218cbedfc589c274
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Fri Jul 25 08:19:46 2008 +0000

    open default browser using webbrowser class if auto is set

commit 81b8be1ef4b642788b595aea03428498a4bafd14
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Fri Jul 25 07:10:13 2008 +0000

    Correct event loop control.

commit a0b184536f89ff9d489460eaf4f606c3c2f793e9
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 24 12:54:38 2008 +0000

    revert the user of buttons

commit bb1cfa5e1b5ff39fea4a2a3ae7676eae8afde65a
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 24 10:55:03 2008 +0000

    Removed hardcoded values; Handle alert in prewikka

commit c37ac71839ffed699e4ffe68ce3afd929adf1323
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 24 04:33:22 2008 +0000

    have widgets view and prewikka view working

commit 19fe869f1a4551749e54f414e39bff9029fe788d
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 24 04:19:20 2008 +0000

    change entries place to be able to refresh it again

commit 768ba52db63415aa500b2d075389e5b0b5a40e5b
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Thu Jul 24 04:05:53 2008 +0000

    remove src dir

commit cb8da69d9170c2cbf3e9d7849d3872c9c1351662
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Wed Jul 23 11:12:31 2008 +0000

    Fix heartbeat detection, improve notification text generation.

commit abd1509daa73eb750d4c5688f0a31d51b32bbe56
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 16:40:55 2008 +0000

    Set priority.

commit 9204989e06996537d63ef7516e93476593e32d00
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 15:53:41 2008 +0000

    Improve formatting, show impact description.

commit f2e9ef87a3e446574af494ef589b445ea6b3880d
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 15:11:07 2008 +0000

    Add default action.

commit 288d526f2513939bda0893955a2200800fc1d04c
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 14:59:53 2008 +0000

    consider the alert severity to display icons

commit 6038a334d90b28812318a93e21ea9e3e0be8c7a7
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 14:41:41 2008 +0000

    Use siteconfig to determine path.

commit f06e8d93263d097da59e73270dde4910737c3628
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 14:41:39 2008 +0000

    Update, generate siteconfig.py

commit bd43756b3b30a1c592c04ddd30559dc3aad3ac39
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 14:40:41 2008 +0000

    write config writer

commit 08aa5690e6cc84edc1ca355eb58e3854ab20bad5
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 14:20:56 2008 +0000

    Update module import.

commit 9e1185aa68aa82efc8308eaa30f874d6e0a6e932
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 14:20:54 2008 +0000

    Distutil support.

commit c461177273488604c72b79711aab4635fe94549a
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 14:11:26 2008 +0000

    get values from config file

commit 82d0889e1f8a6e467d76c43c429b6cc1da0d9dc0
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 14:03:00 2008 +0000

    icon import

commit 48a689cdb7b195c22ff5483b41bb2f27a4f0a30f
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 13:50:02 2008 +0000

    Remove the hash entry, when timer expire.

commit 3453e4c83d73179accb87adb0d38183fa3a86f27
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 13:46:04 2008 +0000

    Improved the default configuration layout; Added AUTHORS File; Ability to listen to several managers as long as they are coma separated

commit 33c5e64d8b4d726672644daf1f133569a20f402a
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 13:29:32 2008 +0000

    Missing parenthesis.

commit 0faa4f41aa242407af61a8bba67618b327b3f437
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 13:26:18 2008 +0000

    configuration stuff

commit 7f13417ea99ae48afe9a55234266f15bc5713054
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 13:17:13 2008 +0000

    Hook thresholding.

commit 156f54a0d1f765b1630e7b75732653340cef893d
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Tue Jul 22 13:17:11 2008 +0000

    Thresholding support.

commit 3db03e1b69746c80a15dc6a652f6690cd1098644
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 12:58:11 2008 +0000

    config dialog

commit e11c98a863c14a9586b3462a15a44ac6fab385ee
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 09:59:48 2008 +0000

    About dialog

commit e07af44cf144e2fcad13f419dc3fa498fb51054f
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 09:42:29 2008 +0000

    menu with callbacks

commit 32690425b361197d53383d1a7a025ee991917804
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 09:33:19 2008 +0000

    menu for tray icon

commit 4ae92e1a0ffe4df2c7a195b076cefc5f7d2388b9
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 09:15:42 2008 +0000

    Handle status icon in a different file

commit 3b6bca12a8bc0ca11fa5f3aa3ee555b0cc658ff3
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 08:48:47 2008 +0000

    cleanup PollIDMEF and added timeout to RecvIDMEF

commit b3b963135a9c164577b29bdc3b448327711f47ff
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Tue Jul 22 08:38:02 2008 +0000

    use of gobject.idle_add instead of threads

commit 697f2d8649bb92f3b5d1221b5e7e70ed95050d96
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Mon Jul 21 21:43:06 2008 +0000

    split the code, have prelude action in a separate thread

commit c91565ae475c9fb39b8c851c369246b208880827
Author: Sebastien Tricaud <s.tricaud@inl.fr>
Date:   Mon Jul 21 19:15:25 2008 +0000

    First import of Prelude Notify: Python + Easybindings notification from Prelude Manager

commit 1b98072bee13e26c1bb80a3285298a74b91a0832
Author: Yoann Vandoorselaere <yoann.v@prelude-ids.com>
Date:   Mon Jul 21 17:34:12 2008 +0000
